use kartsimrust::{
    character::create_character,
    class::Class,
    equipment::{Armor, WeaponType},
    random_character::{random_stat_adjust, random_stat_choice},
};

fn main() {
    let c = create_character(
        "Callypigian".into(),
        Class::Swashbuckler,
        Class::Survivalist,
        random_stat_choice(),
        random_stat_adjust(),
        Armor::Medium,
        WeaponType::RangedWeapon.create_weapon(WeaponType::RangedWeapon.to_string()),
    );

    println!("{}", c)
}
